package service

import (
	"context"
	"fmt"
	"github.com/caixw/lib.go/conv"
	"github.com/sirupsen/logrus"
	"strings"
	"youngee_m_api/db"
	"youngee_m_api/model/gorm_model"
	"youngee_m_api/model/http_model"
)

var Data *data

type data struct {
}

// DataOpinion 在上传脚本表上提交修改意见
func (*data) DataOpinion(ctx context.Context, request http_model.DataOpinionRequest) (*http_model.DataOpinionData, error) {
	Data := gorm_model.YounggeeDataInfo{
		TaskID:        conv.MustInt(request.TaskID, 0),
		ReviseOpinion: request.DataOpinion,
	}
	err := db.DataOpinion(ctx, Data.TaskID, Data.ReviseOpinion)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[Data service] call CreateData error,err:%+v", err)
		return nil, err
	}

	res := &http_model.DataOpinionData{
		TaskID: int64(Data.TaskID),
	}
	return res, nil
}

// AcceptData
func (*data) AcceptData(ctx context.Context, request http_model.AcceptDataRequest) (*http_model.AcceptDataData, error) {
	var TaskIDList []int
	TaskIDs := strings.Split(request.TaskIds, ",")
	for _, taskId := range TaskIDs {
		TaskIDList = append(TaskIDList, conv.MustInt(taskId, 0))
	}

	fmt.Printf("acc request %+v", TaskIDList)
	err := db.AcceptData(ctx, TaskIDList)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[Data service] call CreateData error,err:%+v", err)
		return nil, err
	}

	res := &http_model.AcceptDataData{
		TaskIds: TaskIDList,
	}
	return res, nil
}
